package com.css.simulation.resource.server.infra.util;

import api.common.pojo.common.PageVO;
import com.github.pagehelper.PageHelper;

/**
 * 分页工具类
 */
public class PageUtil {

    /**
     * 统一设置分页参数
     * @param param
     */
    public static void setPageInfo(Object param){
        if(param != null && param instanceof PageVO) {
            PageVO pagevo = (PageVO) param;
            PageHelper.startPage(pagevo.getCurrentPage(), pagevo.getPageSize());
        }
    }
}
